Package org.apache.catalina.filters

## Class CsrfPreventionFilter.LruCache<T>

- java.lang.Object
- - org.apache.catalina.filters.CsrfPreventionFilter.LruCache<T>

- Type Parameters:
    `T` - The type held by this cache.
  All Implemented Interfaces:
    `java.io.Serializable`, `CsrfPreventionFilter.NonceCache<T>`
  Enclosing class:
    CsrfPreventionFilter

      protected static class CsrfPreventionFilter.LruCache<T>
      extends java.lang.Object
      implements CsrfPreventionFilter.NonceCache<T>

  Despite its name, this is a FIFO cache not an LRU cache. Using an older nonce should not delay its removal from the cache in favour of more recent values.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LruCache​(int cacheSize)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(T key)` |
    `boolean` | `contains​(T key)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LruCache

          public LruCache​(int cacheSize)

  - ### Method Detail

    - #### add

          public void add​(T key)

      Specified by:
        `add` in interface `CsrfPreventionFilter.NonceCache<T>`

    - #### contains

          public boolean contains​(T key)

      Specified by:
        `contains` in interface `CsrfPreventionFilter.NonceCache<T>`